{include="header"}

<script type="text/javascript">
   function fs_marcar_todo()
   {
      $("#f_agrupar_cli input[name='idalbaran[]']").prop('checked', true);
   }
   function fs_marcar_nada()
   {
      $("#f_agrupar_cli input[name='idalbaran[]']").prop('checked', false);
   }
   $(document).ready(function() {
      document.f_agrupar_alb.ac_cliente.focus();
      $("#ac_cliente").autocomplete({
         serviceUrl: '{$fsc->url()}',
         paramName: 'buscar_cliente',
         onSelect: function (suggestion) {
            if(suggestion)
            {
               if(document.f_agrupar_alb.codcliente.value != suggestion.data && suggestion.data != '')
               {
                  document.f_agrupar_alb.codcliente.value = suggestion.data;
               }
            }
         }
      });
   });
</script>

<form name="f_agrupar_alb" action="{$fsc->url()}" method="post" class="form">
   {if="$fsc->cliente"}
   <input type="hidden" name="codcliente" value="{$fsc->cliente->codcliente}"/>
   {else}
   <input type="hidden" name="codcliente"/>
   {/if}
   <div class="container-fluid">
      <div class="row">
         <div class="col-xs-12">
            <a class="btn btn-sm btn-default" href="index.php?page=ventas_albaranes">
               <span class="glyphicon glyphicon-arrow-left"></span>
               <span class="hidden-xs">&nbsp; Todos</span>
            </a>
            <div class="btn-group">
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {/if}
            {/loop}
            </div>
            <div class="page-header">
               <h1>
                  <span class="glyphicon glyphicon-duplicate"></span>
                  Agrupar {#FS_ALBARANES#}
                  <a class="btn btn-xs btn-default" href="{$fsc->url()}" title="Recargar la página">
                     <span class="glyphicon glyphicon-refresh"></span>
                  </a>
               </h1>
               <p class='help-block'>
                  Con esta herramienta puedes buscar y agrupar varios {#FS_ALBARANES#}
                  pendientes <b>de un mismo cliente</b> y generar una factura (o una para cada uno).
               </p>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-3">
            <div class="form-group">
               Cliente:
               <div class="input-group">
                  {if="$fsc->cliente"}
                  <input class="form-control" type="text" name="ac_cliente" value="{$fsc->cliente->nombre}" id="ac_cliente" placeholder="Buscar" autocomplete="off"/>
                  {else}
                  <input class="form-control" type="text" name="ac_cliente" id="ac_cliente" placeholder="Buscar" autocomplete="off"/>
                  {/if}
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="document.f_agrupar_alb.ac_cliente.value='';document.f_agrupar_alb.ac_cliente.focus();">
                        <span class="glyphicon glyphicon-edit"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-2">
            Serie:
            <select name="codserie" class="form-control">
            {loop="$fsc->serie->all()"}
				   {if="$value->codserie==$fsc->codserie"}
				   <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
				   {else}
				   <option value="{$value->codserie}">{$value->descripcion}</option>
				   {/if}
				{/loop}
            </select>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Desde:
               <input type="text" name="desde" class="form-control datepicker" value="{$fsc->desde}"/>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Hasta:
               <input type="text" name="hasta" class="form-control datepicker" value="{$fsc->hasta}"/>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Observaciones:
               <input type="text" name="observaciones" class="form-control" value="{$fsc->observaciones}"/>
            </div>
         </div>
         <div class="col-sm-1 text-right">
            <br/>
            <button type="submit" class="btn btn-sm btn-primary" onclick="this.disabled=true;this.form.submit();">
               <span class="glyphicon glyphicon-search"></span>
            </button>
         </div>
      </div>
   </div>
</form>

{if="$fsc->resultados"}
<form id="f_agrupar_cli" action="{$fsc->url()}" method="post" class="form">
   <input type="hidden" name="petition_id" value="{$fsc->random_string()}"/>
   <div class="container-fluid">
      <div class="row">
         <div class="col-sm-12">
            <div class="table-responsive">
               <table class="table table-hover">
                  <thead>
                     <tr>
                        <th class="text-left">Código + {#FS_NUMERO2#}</th>
                        <th class="text-left">Observaciones</th>
                        <th class="text-right">Neto</th>
                        <th class="text-right">Total</th>
                        <th class="text-right">Fecha</th>
                     </tr>
                  </thead>
                  {loop="$fsc->resultados"}
                  <tr{if="$value->total<0"} class="warning"{/if}>
                     <td>
                        <div>
                           <input type="checkbox" name="idalbaran[]" value="{$value->idalbaran}" checked="checked"/>
                           <a href="{$value->url()}">{$value->codigo}</a> {$value->numero2}
                        </div>
                     </td>
                     <td>{$value->observaciones_resume()}</td>
                     <td class="text-right">{$fsc->show_precio($value->neto, $value->coddivisa)}</td>
                     <td class="text-right">{$fsc->show_precio($value->total, $value->coddivisa)}</td>
                     <td class="text-right">{$value->fecha}</td>
                  </tr>
                  {/loop}
                  <tr>
                     <td colspan="2"></td>
                     <td class="text-right"><b>{$fsc->show_precio($fsc->neto)}</b></td>
                     <td class="text-right"><b>{$fsc->show_precio($fsc->total)}</b></td>
                     <td></td>
                  </tr>
               </table>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-6">
            <div class="btn-group">
               <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_todo()" title="Marcar todo">
                  <span class="glyphicon glyphicon-check"></span>
               </button>
               <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_nada()" title="Desmarcar todo">
                  <span class="glyphicon glyphicon-unchecked"></span>
               </button>
            </div>
         </div>
         <div class="col-sm-6 text-right">
            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modal_agrupar">
               <span class="glyphicon glyphicon-file"></span>&nbsp; Generar Factura
            </button>
         </div>
      </div>
   </div>
   <div class="modal" id="modal_agrupar" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-sm" role="document">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
               </button>
               <h4 class="modal-title">Generar factura</h4>
            </div>
            <div class="modal-body">
               <div class="form-group">
                  Fecha de la factura:
                  <input class="form-control datepicker" type="text" name="fecha" value="{$fsc->today()}" autocomplete="off"/>
               </div>
               <div class="checkbox">
                  <label>
                     <input type="checkbox" name="individuales" value="TRUE"/>
                     Generar facturas individuales
                  </label>
               </div>
            </div>
            <div class="modal-footer">
               <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-file"></span>&nbsp; Generar Factura
               </button>
            </div>
         </div>
      </div>
   </div>
</form>
{elseif="$fsc->cliente"}
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="panel panel-info">
            <div class="panel-heading">
               <h3 class="panel-title">Ayuda</h3>
            </div>
            <div class="panel-body">
               No se han encontrado resultados para esta búsqueda.
            </div>
         </div>
      </div>
   </div>
</div>
{else}
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <hr/>
         <p class='help-block text-center'>
            Si hay {#FS_ALBARANES#} pendientes aparecerán los clientes aquí debajo
            para ahorrarte clics ;-)
         </p>
      </div>
   </div>
   <div class="row">
      {loop="$fsc->pendientes()"}
      <div class="col-sm-4 col-md-3">
         <a href="{$fsc->url()}&codcliente={$value['codcliente']}&codserie={$value['codserie']}&desde={$value['desde']}" class="btn btn-sm btn-block {if="$value['num']>1"}btn-info{else}btn-default{/if}">
            <span class="glyphicon glyphicon-user"></span>
            &nbsp; {$value['nombre']}
            {if="$value['num']>1"}&nbsp; ({$value['num']}){/if}
         </a>
         <br/>
      </div>
      {/loop}
   </div>
</div>
{/if}

{include="footer"}